Get Oasis Currency Information¶
Query Oasis account currency information.
Endpoint¶
Parameters¶
This endpoint does not require any parameters.
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object[] | Currency information array. |
data (object)
| Field | Type | Description |
|---|---|---|
| tokenName | String | Token name |
| currency | String | Currency name |
| chain | String | Token chain abbreviation |
| chainFullName | String | Token chain full name |
| withdrawTip | String | Withdrawal fee |
| minDeposit | String | Minimum deposit amount |
| minWithdraw | String | Minimum withdrawal amount |
| depositStatus | Integer | Indicates if deposits are enabled Values: 0 (Closed), 1 (Open) |
| withdrawStatus | Integer | Indicates if withdrawals are enabled Values: 0 (Closed), 1 (Open) |
| dpConfirmNum | Integer | Deposit confirmation height |
| wdConfirmNum | Integer | Withdrawal confirmation height (safe confirmation height) |
| decimalOasis | Integer | Oasis currency precision |
Response Example¶
{
"code": 0,
"message": "",
"data": [
{
"currency": "BTC",
"chain": "BTC",
"tokenName": "BTC",
"chainFullName": "Bitcoin",
"withdrawTip": "0.00029",
"minDeposit": "0.0001",
"minWithdraw": "0.00055",
"depositStatus": 1,
"withdrawStatus": 1,
"dpConfirmNum": 0,
"wdConfirmNum": 6
},
{
"currency": "ETH",
"chain": "ETH",
"tokenName": "ETH",
"chainFullName": "Ethereum",
"withdrawTip": "0.0032",
"minDeposit": "0.0005",
"minWithdraw": "0.0008",
"depositStatus": 1,
"withdrawStatus": 1,
"dpConfirmNum": 1,
"wdConfirmNum": 64
},
{
"currency": "USDT",
"chain": "TRON",
"tokenName": "USDTTRC",
"chainFullName": "Tron",
"withdrawTip": "1",
"minDeposit": "1",
"minWithdraw": "0.1",
"depositStatus": 1,
"withdrawStatus": 1,
"dpConfirmNum": 1,
"wdConfirmNum": 1
}
],
"successful": true
}